package extend.mj;

import java.util.ArrayList;
import java.util.List;

import com.taurus.core.entity.ITArray;
import com.taurus.core.entity.ITObject;
import com.taurus.core.entity.TArray;
import com.taurus.core.entity.TObject;

public class QSLog {
	public int				score;
	public int				niao_score;
	public List<CardNiao>	niaoList	= new ArrayList<CardNiao>(2);

	public ITArray			winMap;

	public ITObject toMP() {
		ITObject p = TObject.newInstance();
		p.putInt("score", score);
		p.putInt("niao_score", niao_score);
		ITArray niao = new TArray();
		for (int index = 0; index < niaoList.size(); index++) {
			niao.addTObject(niaoList.get(index).toMP());
		}
		p.putTArray("niao", niao);
		p.putTArray("win_list", winMap);
		return p;
	}
}
